summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorazazello <gentoo@horizon.ath.cx>2007-04-12 23:11:16 +0000
committerazazello <gentoo@horizon.ath.cx>2007-04-12 23:11:16 +0000
commit5710f26cb37a136a102390a373fe1d39e031fc26 (patch)
treedf92314e36708e9b21f44a57c4137b097786852c /app-laptop/toshset/toshset-1.72.ebuild
parentx11-themes/ia_ora-kde: New ebuild for bug 170327 (diff)
downloadsunrise-5710f26cb37a136a102390a373fe1d39e031fc26.tar.gz
sunrise-5710f26cb37a136a102390a373fe1d39e031fc26.tar.bz2
sunrise-5710f26cb37a136a102390a373fe1d39e031fc26.zip
app-laptop/toshset: New Ebuild for bug 113487
svn path=/sunrise/; revision=3411
Diffstat (limited to 'app-laptop/toshset/toshset-1.72.ebuild')
-rw-r--r--app-laptop/toshset/toshset-1.72.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/app-laptop/toshset/toshset-1.72.ebuild b/app-laptop/toshset/toshset-1.72.ebuild
new file mode 100644
index 000000000..d70f4f3f3
--- /dev/null
+++ b/app-laptop/toshset/toshset-1.72.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="Utility to modify HCI/SCI controls on Toshiba Laptops"
+HOMEPAGE="http://www.schwieters.org/toshset http://packages.ubuntulinux.org/feisty/utils/toshset"
+SRC_URI="http://archive.ubuntu.com/ubuntu/pool/main/t/toshset/toshset_${PV}.orig.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+RESTRICT="mirror"
+
+src_unpack() {
+ unpack ${A}
+# epatch "${DISTDIR}/toshset_${PV}-2ubuntu1.diff"
+ sed -i 's/CFLAGS = -march=i486 \(-Wall @OS_CFLAGS@ @DEBUGFLAGS@\)/CFLAGS := \1 ${CFLAGS}/' "${S}/Makefile.in" || die "sed failed"
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "make install failed"
+ dodoc README
+}